[FFe] peony

Bug #1664235 reported by handsome_feng on 2017-02-13
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Kylin
Critical
Unassigned
peony (Ubuntu)
Wishlist
Unassigned

Bug Description

Peony is the official file manager for the UKUI desktop, It allows one to browse directories, preview files and launch applications associated with them.
It forks from caja, and we changed the interface and layout for the moment.
It is a part of UKUI desktop environment: Bug #1663477.

Packaging URL: https://github.com/ukui/peony/tree/master/peony/debian
Source URL: https://github.com/ukui/peony
License: GPL-2+, LGPL-2+

PPA: https://launchpad.net/~ubuntukylin-members/+archive/ubuntu/ukui

Changed in ubuntukylin:
importance: Undecided → Critical
milestone: none → zesty-beta1
Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

Changed in ubuntu:
importance: Undecided → Wishlist
summary: - [needs-packaging] peony
+ [FFE] peony
summary: - [FFE] peony
+ [FFe] peony
description: updated
Jeremy Bicha (jbicha) wrote :

It looks like you based your packaging off an old version of caja. For instance, it's generally not recommended to use -dbg packages any more (they were dropped in caja 1.14.2-1)

Jeremy Bicha (jbicha) on 2017-03-04
Changed in ubuntu:
status: New → Incomplete
handsome_feng (feng-kylin) wrote :

we have updated the peony, Thank you !

Jeremy Bicha (jbicha) wrote :

Thank you. This is almost ready.

1. usr/share/appdata/ should be installed by peony not peony-common.

https://wiki.debian.org/AppStream/Guidelines#General

If you want upgrades to work correctly when moving files, you'll need to add Breaks/Replaces. Are people using that PPA? If so, I recommend bumping the version number to 1.0.0-0ubuntu2.
Then in debian/control, for peony, add
Breaks: peony-common (<< 1.0.0-0ubuntu2~)
Replaces: peony-common (<< 1.0.0-0ubuntu2~)

The trailing ~ is to make it easier for someone to backport in their PPA.

2. Very minor but you can use just 'Peony' in debian/copyright's Upstream-Name
If you want to mention caja, you can add a Comment: field

https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/#header-paragraph

handsome_feng (feng-kylin) wrote :

Done.

Thank you !

description: updated

On Wed, Mar 08, 2017 at 02:49:36PM -0000, Jeremy Bicha wrote:
> Thank you. This is almost ready.
>
> 1. usr/share/appdata/ should be installed by peony not peony-common.

Just a drive by comment:

That should be /usr/share/metainfo now. appdata is the old path, which
still works but is now deprecated.

https://www.freedesktop.org/software/appstream/docs/chap-Metadata.html#sect-Metadata-GenericComponent

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

handsome_feng (feng-kylin) wrote :

Hi, Laney,
   Done, and updated the release:
   https://github.com/ukui/peony/releases/

   and debian/ folder:
   https://github.com/ukui/peony/tree/master/peony/debian

   BTW, can you help to upload the ukui-indicators(Bug #1664232) and approve the UKUI pakcages which uploaded to the zesty queue?
   1. ukui-desktop-environment
   Bug #1663477

   2. ukui-menu
   Bug #1664229

   3. ukui-control-center
   Bug #1664244

   4. ukui-screensaver
   Bug #1664247

   5. ukui-session-manager
   Bug #1664256

   Thank you in advance!

Jeremy Bicha (jbicha) wrote :

Sorry, I found one more thing that needs to be fixed before upload.

According to Debian's gobject-introspection policy
https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gobject-introspection/debian/policy.txt?view=markup

3. The gir package should be named gir1.2-peony-2.0
4. /usr/share/gir-1.0/Peony-2.0.gir should be moved to libpeony-extension-dev (Remember to add the Breaks/Replaces for the move and bump the Ubuntu version number)
5. libpeony-extension-dev should depend on gir1.2-peony-2.0

The caja packaging is not a good example here but nautilus is.

6. Uh, I think we would normally need a transitional package for gir1.2-peony's rename except that I don't think anything depends on it so it's probably not installed on anyone's computer?

Iain Lane (laney) wrote :

On Thu, Mar 09, 2017 at 09:41:04AM -0000, handsome_feng wrote:
> BTW, can you help to upload the ukui-indicators(Bug #1664232) and approve the UKUI pakcages which uploaded to the zesty queue?
> 1. ukui-desktop-environment
> Bug #1663477
>
> 2. ukui-menu
> Bug #1664229
>
> 3. ukui-control-center
> Bug #1664244
>
> 4. ukui-screensaver
> Bug #1664247
>
> 5. ukui-session-manager
> Bug #1664256

I can't - you need someone in ~ubuntu-archive to do that.

  https://launchpad.net/~ubuntu-archive/+members

(ukui-indicators is uploaded as mentioned in that bug)

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

handsome_feng (feng-kylin) wrote :

Thanks, Jbicha, Laney.

> 6. Uh, I think we would normally need a transitional package for gir1.2-peony's rename except
> that I don't think anything depends on it so it's probably not installed on anyone's computer?

  No, it's not officially released yet. And I have updated the debian/ folder of peony in debian-packages:
  https://github.com/ukui/peony/tree/master/peony/debian

  Thank you!

Jeremy Bicha (jbicha) wrote :

Thank you for helping to make Ubuntu better.

I have uploaded peony to zesty's new queue. It will still need to be approved by Ubuntu's Archive Administrators before it will be available in Ubuntu.

I have unsubscribed ubuntu-sponsors. Feel free to resubscribe if you have something else that needs to be sponsored.

By the way, you can drop the Breaks/Replaces on peony-common when you make your next Ubuntu release. peony includes /usr/share/metainfo/ but the older version of peony-common included /usr/share/appinfo/ so there is no file name conflict.

Changed in ubuntu:
status: Incomplete → In Progress
handsome_feng (feng-kylin) wrote :

Mate-settings-daemon is updated to version 1.18 during peony waiting in the zesty's new queue. And it no longer draws the backgrounds of the system. Now, peony is utilized to draw backgrounds for system. So could someone help to reupload the new version of peony?

the new release:
https://github.com/ukui/peony/releases/

and debian/ folder:
https://github.com/ukui/peony/tree/master/peony/debian

Bhavani Shankar (bhavi) wrote :

Hi,

The /debian directory link returns a 404 on my system and since peony is in new queue having a look at the debian directory also is essential along with the diff from previous version.

Thanks!

Ma Jun (maclin.jun) wrote :

Thanks Bhavani, we will check these issues.

Jeremy Bicha (jbicha) on 2017-03-21
affects: ubuntu → peony (Ubuntu)
Changed in peony (Ubuntu):
status: In Progress → Fix Committed
Changed in ubuntukylin:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package peony - 1.0.0-0ubuntu3

---------------
peony (1.0.0-0ubuntu3) zesty; urgency=medium

  * Initial release. (LP: #1664235)

 -- handsome_feng <email address hidden> Mon, 06 Mar 2017 13:49:12 +0800

Changed in peony (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha) wrote :

handsome_feng, I waited for peony to be accepted into Ubuntu first. I have now uploaded 1.0.1-0ubuntu1 so I'm unsubscribing ubuntu-sponsors.

Changed in ubuntukylin:
status: Fix Committed → Fix Released
handsome_feng (feng-kylin) wrote :

Jeremy, Thanks a million! :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers